ObjectARX, AutoCAD. Среда программирования библиотеки C++


         

Словари


Чтобы создавать новый словарь, Вы должны создать образец AcDbDictionary, добавлять это к базе данных, и регистрировать это с ее объектом владельца. Используйте setAt () функция AcDbDictionary, чтобы добавить объекты к словарю и базе данных.

Сигнатура этой функции

Acad::ErrorStatus

AcDbDictionary::setAt(const char* pSrchKey,

AcDbObject* pNewValue,

AcDbObjectId& retObjId);

SetAt () функция добавляет новый вход, указанный newValue к словарю. Если вход уже существует, это заменено новым значением. Имя объекта определено srchKey. Объект ID входа возвращен в retObjId.

Когда Вы добавляете вход в словарь, словарь автоматически присоединяет{*придает*} реактор к входу. Если объект стерт, словарь уведомлен и удаляет это из словаря.




Содержание  Назад  Вперед